<?php
class EWDQS_Admin_Header {

	function __construct() {
		add_action( 'admin_enqueue_scripts', array($this, 'enqueue_scripts') );
		add_action( 'in_admin_header', array($this, 'load_header'), 10 );
	}

	function enqueue_scripts() {
		wp_enqueue_style( 'ewdqs-admin-base-css', EWDQS_URL . 'includes/css/ewdqs-admin-base.css' );
        wp_enqueue_style( 'ewdqs-admin-hide-css', EWDQS_URL . 'includes/css/ewdqs-admin-hide.css' );
        wp_enqueue_script( 'ewdqs-admin-base-js', EWDQS_URL . 'includes/js/ewdqs-admin-base.js', array( 'jquery' ) );
	}

	function load_header() {
		$tasks = get_option("ewdqs_tasks");
        $completed_tasks = get_option("ewdqs_completed_tasks");

        echo '<div class="ewdqs-admin-header">';
        $first_uncompleted = false;
        $task_count = 0;
        $hidden_task_count = 0;
        foreach ($tasks as $task) {
            $step_name_function = $task . "_name";
                    
            if (!$step_name_function()) {$hidden_task_count++; continue;}

            if (!$first_uncompleted and !in_array($task, $completed_tasks)) {
                $instructions_function = $task . "_instructions";
                $instructions = $instructions_function();

                echo '<div class="ewdqs-admin-header-step">' . $step_name_function() . '</div>';
                                        
                $first_uncompleted = true;
            }
            elseif (!$first_uncompleted) {
                $task_count++;
            }
        }
                        
        echo '<div class="ewdqs-step-instructions">' . $instructions . '</div>';

        echo '<div class="ewdqs-clear"></div>';

        $screen = get_current_screen();
        if ($screen->base == 'post') {$ewdqs_post_class = 'ewdqs-post-screen';}
        else {$ewdqs_post_class = '';}

        echo '<div class="ewdqs-multistep-indicators">';
        echo '<div class="ewdqs-multistep-indicators-connecting-line"></div>';
        for ($i=1; $i<=(sizeOf($tasks) - $hidden_task_count - 2); $i++) {
            echo '<div class="ewdqs-multistep-indicator ' . $ewdqs_post_class . ' ewdqs-step-' . $i . ' ' . ($i <= $task_count ? 'ewdqs-indicator-selected' : '') . '">' . $i . '</div>'; 
        }
        echo "</div>";

        echo "<div class='ewdqs-clear'></div>";

        echo '</div>';
	}
}