<?php
class EWDQS_Basic_Setup {

	function __construct() {
		$this->update_theme_mods();
		$this->update_tasks();

		wp_safe_redirect( admin_url() );
	}

	function update_theme_mods() {
		$themes = get_option("ewdqs_theme_options");
		foreach ($themes as $theme) {
			$mods = get_option("theme_mods_" . $theme['theme_slug']);
			if (is_array($mods)) {
				foreach ($mods as $key => $mod) {
					$updated_mod = str_replace('site_url_placeholder', site_url(), $mod);
					$mods[$key] = $updated_mod;
				}
			}
			update_option("theme_mods_" . $theme['theme_slug'], $mods);

			$page_contents = get_option("theme_page_content_" . $theme['theme_slug']);
			if (is_array($page_contents)) {
				foreach ($page_contents as $key => $page_content) {
					$updated_page_content = str_replace('site_url_placeholder', site_url(), $page_content);
					$page_contents[$key] = $updated_page_content;
				}
			}
			update_option("theme_page_content_" . $theme['theme_slug'], $page_contents);
		}

		$widgets = get_option("ewdqs_widgets");
		foreach ($widgets as $widget) {
			$widget_instances = get_option($widget);
			foreach ($widget_instances as $key => $widget_instance) {
				$widget_instances[$key] = str_replace('site_url_placeholder', site_url(), $widget_instance);
			}
			update_option($widget, $widget_instances);
		}
	}

	function update_tasks() {
		$completed_tasks = get_option("ewdqs_completed_tasks");
		$completed_tasks[] = 'EWDQS_Basic_Setup';
		update_option("ewdqs_completed_tasks", $completed_tasks);
	}
}

function EWDQS_Basic_Setup_name() {
	return false;
}

function EWDQS_Basic_Setup_instructions() {
	return false;
}