<?php
class EWDQS_Catalogue_Setup {

	function __construct() {
		add_action( 'admin_enqueue_scripts', array($this, 'enqueue_scripts') );

		if (isset($_GET['page']) and $_GET['page'] == 'UPCP-options') {
			$this->create_catalogue();
			$this->add_items_to_catalogue();

			$this->update_tasks();
		}

		if ((!isset($_GET['page']) or $_GET['page'] != 'upcp-getting-started') and !isset($_POST['action'])) {
			wp_safe_redirect( admin_url( 'index.php?page=upcp-getting-started&exclude=Catalog,Shop,Options' ) );
			exit;
		}
	}

	function enqueue_scripts() {
		wp_enqueue_script( 'ewdqs-catalogue-js', EWDQS_URL . 'includes/js/ewdqs-catalogue.js', array('jquery') );
		wp_enqueue_style( 'ewdqs-catalogue-setup-css', EWDQS_URL . 'includes/css/ewdqs-catalogue-setup.css' );
	}

	function update_tasks() {
		$completed_tasks = get_option("ewdqs_completed_tasks");
		$completed_tasks[] = 'EWDQS_Catalogue_Setup';
		update_option("ewdqs_completed_tasks", $completed_tasks);
	}

	function create_catalogue() {
		$catalogues = UPCP_Get_Catalogues();

		if (empty($catalogues)) {
			Add_UPCP_Catalogue('Product Catalog', 'Catalog with all products.');
		}
	}

	function add_items_to_catalogue() {
		UPCP_Add_All_Items_To_Catalogue(1);
	}
}

function EWDQS_Catalogue_Setup_name() {
	return "Create Products";
}

function EWDQS_Catalogue_Setup_instructions() {
	return "Use the forms below to create categories and products that your visitors will be able to browse through.";
}
?>