<?php
class EWDQS_UFAQ_Handler {

	function __construct() {
		add_action( 'admin_enqueue_scripts', array($this, 'enqueue_scripts') );

		if (isset($_GET['page']) and $_GET['page'] == 'EWD-UFAQ-Options') {$this->update_tasks();}

		if ((!isset($_GET['page']) or $_GET['page'] != 'ewd-ufaq-getting-started') and
			(!isset($_POST['action']) or ($_POST['action'] != 'ewd_ufaq_welcome_add_category' and $_POST['action'] != 'ewd_ufaq_welcome_add_faq'))) {
			wp_safe_redirect( admin_url( 'index.php?page=ewd-ufaq-getting-started&exclude=FAQ_Page,Options' ) );
			exit;
		}
	}

	function enqueue_scripts() {
		wp_enqueue_script( 'ewdqs-faqs-js', EWDQS_URL . 'includes/js/ewdqs-faqs.js', array('jquery') );
		wp_enqueue_style( 'ewdqs-faq-creation-css', EWDQS_URL . 'includes/css/ewdqs-faq-creation.css' );
	}

	function update_tasks() {
		$completed_tasks = get_option("ewdqs_completed_tasks");
		$completed_tasks[] = 'EWDQS_UFAQ_Handler';
		update_option("ewdqs_completed_tasks", $completed_tasks);
	}
}

function EWDQS_UFAQ_Handler_name() {
	return "Create FAQs";
}

function EWDQS_UFAQ_Handler_instructions() {
	return "Use the forms below to create categories and FAQs (frequently asked questions) that will help to answer any common questions your visitors have.";
}
?>