<?php
class EWDQS_OTP_Handler {

	function __construct() {
		add_action( 'admin_enqueue_scripts', array($this, 'enqueue_scripts') );

		$this->update_OTP_options();

		if (isset($_GET['page']) and $_GET['page'] == 'EWD-OTP-options') {$this->update_tasks();}

		if ((!isset($_GET['page']) or $_GET['page'] != 'ewd-otp-getting-started') and
			(!isset($_POST['action']) or ($_POST['action'] != 'ewd_otp_welcome_update_statuses' and $_POST['action'] != 'ewd_otp_welcome_add_order'))) {
			wp_safe_redirect( admin_url( 'index.php?page=ewd-otp-getting-started&exclude=Tracking_Page,Options' ) );
			exit;
		}
	}

	function enqueue_scripts() {
		wp_enqueue_script( 'ewdqs-order-tracking-js', EWDQS_URL . 'includes/js/ewdqs-order-tracking.js', array('jquery') );
		wp_enqueue_style( 'ewdqs-order-tracking-css', EWDQS_URL . 'includes/css/ewdqs-order-tracking.css' );
	}

	function update_OTP_options() {
		if ( function_exists('EWD_OTP_Default_Statuses') ) {EWD_OTP_Default_Statuses();}
		if ( function_exists('Update_EWD_OTP_Tables') ) {Update_EWD_OTP_Tables();}
	}

	function update_tasks() {
		$completed_tasks = get_option("ewdqs_completed_tasks");
		$completed_tasks[] = 'EWDQS_OTP_Handler';
		update_option("ewdqs_completed_tasks", $completed_tasks);
	}
}

function EWDQS_OTP_Handler_name() {
	return "Set up Tracking";
}

function EWDQS_OTP_Handler_instructions() {
	return "Use the forms below to create a tracking form that let's customers track the progress of their orders.";
}
?>