<?php
class EWDQS_Restaurant_Menu_Handler {

	function __construct() {

		add_action( 'admin_enqueue_scripts', array($this, 'enqueue_scripts') );

		//$this->update_OTP_options();

		if (isset($_GET['post_type']) and $_GET['post_type'] == 'fdm-menu') { 
			$this->update_shortcode();
			$this->update_tasks(); 
		}
		
		if ( ( ! isset($_GET['page'] ) or $_GET['page'] != 'fdm-getting-started' ) and ! isset( $_POST['action'] ) ) {
			wp_safe_redirect( admin_url( 'index.php?page=fdm-getting-started&exclude=create_menu,display_menu' ) );
			exit;
		}
	}

	function enqueue_scripts() {
		wp_enqueue_script( 'ewdqs-restaurant-menu-js', EWDQS_URL . 'includes/js/ewdqs-restaurant-menu.js', array('jquery') );
		wp_enqueue_style( 'ewdqs-restaurant-menu-creation-css', EWDQS_URL . 'includes/css/ewdqs-restaurant-menu-creation.css' );
	}

	function update_shortcode() {
		
		$menu_page = get_post( 3 );

		$menu_posts = get_posts( array( 'post_type' => FDM_MENU_POST_TYPE ) );
		$menu_post = reset( $menu_posts );

		$new_page_content = str_replace('[fdm-menu]', '[fdm-menu id="' . $menu_post->ID . '"]', $menu_page->post_content);

		wp_update_post( array( 'ID' => $menu_page->ID, 'post_content' => $new_page_content ) );
	}

	function update_tasks() {

		$completed_tasks = get_option( "ewdqs_completed_tasks" );
		$completed_tasks[] = 'EWDQS_Restaurant_Menu_Handler';
		
		update_option( "ewdqs_completed_tasks", $completed_tasks );
	}
}

function EWDQS_Restaurant_Menu_Handler_name() {
	return "Restaurant Menu Setup";
}

function EWDQS_Restaurant_Menu_Handler_instructions() {
	return "Use the forms below to create menu sections and add menu items with names, descriptions, prices and pictures.";
}
?>