<?php
class EWDQS_Restaurant_Reservations_Handler {

	function __construct() {
		
		add_action( 'admin_enqueue_scripts', array($this, 'enqueue_scripts') );

		//$this->update_OTP_options();

		if (isset($_GET['page']) and $_GET['page'] == 'rtb-dashboard') { $this->update_tasks(); }
		
		if ( ( ! isset($_GET['page'] ) or $_GET['page'] != 'rtb-getting-started' ) and
			( ! isset($_POST['action'] ) or ( $_POST['action'] != 'rtb_welcome_set_schedule' and $_POST['action'] != 'rtb_welcome_set_options' ) ) ) {
			wp_safe_redirect( admin_url( 'index.php?page=rtb-getting-started&exclude=reservations_page' ) );
			exit;
		}
	}

	function enqueue_scripts() {
		wp_enqueue_script( 'ewdqs-restaurant-reservations-js', EWDQS_URL . 'includes/js/ewdqs-restaurant-reservations.js', array('jquery') );
		wp_enqueue_style( 'ewdqs-restaurant-reservations-css', EWDQS_URL . 'includes/css/ewdqs-restaurant-reservations.css' );
	}

	function update_tasks() {
		
		$completed_tasks = get_option("ewdqs_completed_tasks");
		$completed_tasks[] = 'EWDQS_Restaurant_Reservations_Handler';
		
		update_option("ewdqs_completed_tasks", $completed_tasks);
	}
}

function EWDQS_Restaurant_Reservations_Handler_name() {
	return "Reservations Setup";
}

function EWDQS_Restaurant_Reservations_Handler_instructions() {
	return "Use the options below to set a number of key options and the hours that you'll accept reservations.";
}
?>