<?php
class EWDQS_WooCommerce_Setup {

	function __construct() {
		add_action( 'admin_enqueue_scripts', array($this, 'enqueue_styles') );
		add_action( 'admin_print_styles', array($this, 'print_script') );

		add_filter( 'woocommerce_setup_wizard_steps', array($this, 'edit_steps') );

		if (isset($_GET['step']) and $_GET['step'] == 'next_steps') {
			$this->update_tasks();
			
			wp_safe_redirect( admin_url() );
			exit;
		}


		if ((!isset($_GET['page']) or $_GET['page'] != 'wc-setup') and
			!isset($_POST['action'])) {
			wp_safe_redirect( admin_url( 'index.php?page=wc-setup' ) );
			exit;
		}
	}

	function enqueue_styles() {
		wp_enqueue_style( 'ewdqs-woocommerce-css', EWDQS_URL . 'includes/css/ewdqs-woocommerce.css' );
	}

	function print_script() {
		echo '<script type="text/javascript" src="' . EWDQS_URL . 'includes/js/ewdqs-woocommerce.js' . '"></script>';
	}

	function edit_steps($steps) {
		unset($steps['recommended']);
		unset($steps['activate']);

		return $steps;
	}

	function update_tasks() {
		$completed_tasks = get_option("ewdqs_completed_tasks");
		$completed_tasks[] = 'EWDQS_WooCommerce_Setup';
		update_option("ewdqs_completed_tasks", $completed_tasks);
	}
}

function EWDQS_WooCommerce_Setup_name() {
	return "Set up WooCommerce";
}

function EWDQS_WooCommerce_Setup_instructions() {
	return "The WooCommerce walk-through will help you to set up your online shop, so that you'll be able to accept orders as soon as the setup process is complete.";
}
?>