<?php
class EWDQS_WPForms_Handler {

	function __construct() {
		add_action( 'admin_enqueue_scripts', array($this, 'enqueue_scripts') );

		$contact_form_posts = get_posts(array('post_type' => 'wpforms'));

		if (empty($contact_form_posts)) {

			$gmdate = gmdate("Y-m-d H:i:s");
	
			$post = array(
				'post_author' => 1, 
				'post_date' => $gmdate,
				'post_date_gmt' => $gmdate,
				'post_content' => 'content_placeholder', 
				'post_title' => 'Contact Form', 
				'post_status' => 'publish', 
				'comment_status' => 'closed', 
				'ping_status' => 'closed', 
				'post_name' => 'contact-form',
				'post_type' => 'wpforms'
			);
	
			$post_id = wp_insert_post($post);

			if ($post_id) {
				$post = array(
					'ID' => $post_id,
					'post_content' => '{\"id\":\"' . $post_id . '\",\"field_id\":4,\"fields\":{\"0\":{\"id\":\"0\",\"type\":\"name\",\"label\":\"Name\",\"format\":\"first-last\",\"description\":\"\",\"required\":\"1\",\"size\":\"medium\",\"simple_placeholder\":\"\",\"simple_default\":\"\",\"first_placeholder\":\"\",\"first_default\":\"\",\"middle_placeholder\":\"\",\"middle_default\":\"\",\"last_placeholder\":\"\",\"last_default\":\"\",\"css\":\"\"},\"1\":{\"id\":\"1\",\"type\":\"email\",\"label\":\"Email\",\"description\":\"\",\"required\":\"1\",\"size\":\"medium\",\"placeholder\":\"\",\"confirmation_placeholder\":\"\",\"default_value\":\"\",\"css\":\"\"},\"3\":{\"id\":\"3\",\"type\":\"text\",\"label\":\"Subject\",\"description\":\"\",\"size\":\"medium\",\"placeholder\":\"\",\"default_value\":\"\",\"css\":\"\",\"input_mask\":\"\"},\"2\":{\"id\":\"2\",\"type\":\"textarea\",\"label\":\"Comment or Message\",\"description\":\"\",\"required\":\"1\",\"size\":\"medium\",\"placeholder\":\"\",\"css\":\"\"}},\"settings\":{\"form_title\":\"Contact Form\",\"form_desc\":\"\",\"form_class\":\"\",\"submit_text\":\"Submit\",\"submit_text_processing\":\"Sending...\",\"submit_class\":\"\",\"honeypot\":\"1\",\"notification_enable\":\"1\",\"notifications\":{\"1\":{\"email\":\"{admin_email}\",\"subject\":\"New Entry: Contact Form\",\"sender_name\":\"{field_id=\\\"0\\\"}\",\"sender_address\":\"{admin_email}\",\"replyto\":\"{field_id=\\\"1\\\"}\",\"message\":\"{all_fields}\"}},\"confirmations\":{\"1\":{\"type\":\"message\",\"message\":\"<p>Thanks for contacting us! We will be in touch with you shortly.<\\/p>\",\"message_scroll\":\"1\",\"page\":\"21\",\"redirect\":\"\"}}},\"meta\":{\"template\":\"contact\"}}'
				);

				wp_update_post($post);
	
				$posts = get_posts(array('name' => 'contact-us', 'post_type' => 'page'));
				foreach ($posts as $post_object) {
					$post = array(
						'ID' => $post_object->ID,
						'post_content' => str_replace('[contact_form]', '[wpforms id="' . $post_id . '"]', $post_object->post_content)
					);
	
					wp_update_post($post);
				}
	
				if (!isset($_GET['page']) or $_GET['page'] != 'wpforms-builder') {
					wp_safe_redirect( admin_url( 'admin.php?page=wpforms-builder&view=fields&form_id=' . $post_id ) );
					exit;
				}
			}
		}
		else {
			add_action( 'save_post_wpforms', array($this, 'update_tasks') );
			
			if ((!isset($_GET['page']) or $_GET['page'] != 'wpforms-builder') and (!isset($_POST['action']) or $_POST['action'] !='wpforms_save_form')) {
				$contact_form_post = reset($contact_form_posts);
				wp_safe_redirect( admin_url( 'admin.php?page=wpforms-builder&view=fields&form_id=' . $contact_form_post->ID ) );
				exit;
			}
		}
	}

	function enqueue_scripts() {
		wp_enqueue_script( 'ewdqs-wpforms-js', EWDQS_URL . 'includes/js/ewdqs-wpforms.js', array('jquery') );
		wp_enqueue_style( 'ewdqs-wpforms-css', EWDQS_URL . 'includes/css/ewdqs-wpforms.css' );
	}

	function update_tasks() {
		$completed_tasks = get_option("ewdqs_completed_tasks");
		$completed_tasks[] = 'EWDQS_WPForms_Handler';
		update_option("ewdqs_completed_tasks", $completed_tasks);
	}
}

function EWDQS_WPForms_Handler_name() {
	return "Setup WPForms";
}

function EWDQS_WPForms_Handler_instructions() {
	return "Your contact form is displayed below. You can add, edit or delete the fields using the editing area to the right, or change settings such as where the form is sent using the menu bar on the left.";
}
?>