<?php
/**
 * Class to handle the plugin and theme installations  for EWD Quick Starter
 */

if ( !defined( 'ABSPATH' ) )
	exit;

if ( !class_exists( 'EWDQS_Installation' ) ) {
class EWDQS_Installation {

	public function __construct() {

		$this->install_themes();
		$this->install_plugins();
	}

	public function install_themes() {
		require_once ABSPATH . 'wp-admin/includes/file.php';
		require_once ABSPATH . 'wp-admin/includes/misc.php';
		require_once ABSPATH . 'wp-admin/includes/plugin.php';
		require_once ABSPATH . 'wp-admin/includes/plugin-install.php';
		require_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';

		$themes_dir = WP_CONTENT_DIR  . '/themes';

		$installer = new Plugin_Upgrader();

		$themes = array(
			array(
				'package' 		=> 'https://downloads.wordpress.org/theme/keep-calm-and-e-comm.1.16.zip',
				'destination'	=> $themes_dir
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/theme/gutenshop.2.7.zip',
				'destination'	=> $themes_dir
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/theme/ecommerce-hub.0.1.zip',
				'destination'	=> $themes_dir
			),
		);

		foreach ( $themes as $theme ) {
			$installer->run( $theme );
		}

	}

	public function install_plugins() {
		require_once ABSPATH . 'wp-admin/includes/file.php';
		require_once ABSPATH . 'wp-admin/includes/misc.php';
		require_once ABSPATH . 'wp-admin/includes/plugin.php';
		require_once ABSPATH . 'wp-admin/includes/plugin-install.php';
		require_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';

		$installer = new Plugin_Upgrader();

		$plugins = array(
			array(
				'package' 		=> 'https://downloads.wordpress.org/plugin/etoile-theme-companion.zip',
				'destination'	=> WP_PLUGIN_DIR
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/plugin/order-tracking.2.11.16.zip',
				'destination'	=> WP_PLUGIN_DIR
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/plugin/ultimate-faqs.1.8.19.zip',
				'destination'	=> WP_PLUGIN_DIR
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/plugin/ultimate-reviews.2.1.16.zip',
				'destination'	=> WP_PLUGIN_DIR
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/plugin/ultimate-slider.1.1.5.zip',
				'destination'	=> WP_PLUGIN_DIR
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/plugin/woocommerce.3.6.2.zip',
				'destination'	=> WP_PLUGIN_DIR
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/plugin/wpforms-lite.1.5.1.3.zip',
				'destination'	=> WP_PLUGIN_DIR
			),
		);

		foreach ( $plugins as $plugin ) {
			$installer->run( $plugin );
		}
	}

}
}

?>