<?php
/**
 * Class to handle the plugin and theme installations  for EWD Quick Starter
 */

if ( !defined( 'ABSPATH' ) )
	exit;

if ( !class_exists( 'EWDQS_Installation' ) ) {
class EWDQS_Installation {

	public function __construct() {

		$this->install_themes();
		$this->install_plugins();
	}

	public function install_themes() {
		require_once ABSPATH . 'wp-admin/includes/file.php';
		require_once ABSPATH . 'wp-admin/includes/misc.php';
		require_once ABSPATH . 'wp-admin/includes/plugin.php';
		require_once ABSPATH . 'wp-admin/includes/plugin-install.php';
		require_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';

		$themes_dir = WP_CONTENT_DIR  . '/themes';

		$installer = new Plugin_Upgrader();

		$themes = array(
			array(
				'package' 		=> 'https://downloads.wordpress.org/theme/bakes-and-cakes.1.1.6.zip',
				'destination'	=> $themes_dir
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/theme/catch-foodmania.2.0.zip',
				'destination'	=> $themes_dir
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/theme/recipe-lite.1.1.zip',
				'destination'	=> $themes_dir
			),
		);

		foreach ( $themes as $theme ) {
			$installer->run( $theme );
		}

	}

	public function install_plugins() {
		require_once ABSPATH . 'wp-admin/includes/file.php';
		require_once ABSPATH . 'wp-admin/includes/misc.php';
		require_once ABSPATH . 'wp-admin/includes/plugin.php';
		require_once ABSPATH . 'wp-admin/includes/plugin-install.php';
		require_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';

		$installer = new Plugin_Upgrader();

		$plugins = array(
			array(
				'package' 		=> 'https://downloads.wordpress.org/plugin/etoile-theme-companion.zip',
				'destination'	=> WP_PLUGIN_DIR
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/plugin/essential-content-types.1.5.1.zip',
				'destination'	=> WP_PLUGIN_DIR
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/plugin/ultimate-faqs.zip',
				'destination'	=> WP_PLUGIN_DIR
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/plugin/restaurant-reservations.2.1.2.zip',
				'destination'	=> WP_PLUGIN_DIR
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/plugin/food-and-drink-menu.zip',
				'destination'	=> WP_PLUGIN_DIR
			),
			array(
				'package' 		=> 'https://downloads.wordpress.org/plugin/wpforms-lite.1.5.1.3.zip',
				'destination'	=> WP_PLUGIN_DIR
			),
		);

		foreach ( $plugins as $plugin ) {
			$installer->run( $plugin );
		}
	}

}
}

?>