<?php
class EWDQS_Show_Optional_Steps {

	function __construct() {
		add_action( 'admin_enqueue_scripts', array($this, 'enqueue_scripts') );
		add_action( 'admin_menu', array($this, 'add_menu_page') );
		add_action( 'admin_head', array($this, 'remove_admin_menu_link') );
		add_action( 'wp_ajax_ewdqs_optional_steps_displayed', array($this, 'handle_ajax') );

		if (!get_option("ewdqs_optional_steps_displayed") and (!isset($_GET['page']) or $_GET['page'] != 'ewdqs-optional-steps') and !isset($_POST['action'])) {
			wp_safe_redirect( admin_url( 'index.php?page=ewdqs-optional-steps') );
			exit;
		}
	}

	function enqueue_scripts() {
		wp_enqueue_style( 'ewdqs-optional-steps-css', EWDQS_URL . 'includes/css/ewdqs-optional-steps.css' );
		wp_enqueue_script( 'ewdqs-optional-steps-js', EWDQS_URL . 'includes/js/ewdqs-optional-steps.js', array('jquery') );
	}

	function add_menu_page() {
		add_dashboard_page(
			esc_html__( 'Optional Steps', 'ewd-quick-starter' ),
			esc_html__( 'Optional Steps', 'ewd-quick-starter' ),
			'manage_options',
			'ewdqs-optional-steps',
			array($this, 'display_optionals_steps')
		);
	}

	function remove_admin_menu_link() {
		remove_submenu_page( 'index.php', 'ewdqs-optional-steps' );
	}

	function display_optionals_steps() {
		$current_theme = get_option("template");
		$optional_steps = get_option("theme_optional_" . $current_theme);
		if (!is_array($optional_steps)) {$optional_steps = array();}


		// Bakes and Cakes
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Enable Homepage Slider',
		// 		'instructions' => 'Enable the slider that shows at the top of your homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Turn Slider On',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=bakes_and_cakes_slider_settings'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Set Your Recurring Events',
		// 		'instructions' => 'These two posts are displayed on your homepage. You can use them to let visitors know about daily events like a happy hour, or something our of the ordinary that happens at your restaurant like a yoga class.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Event One',
		// 				'type' => 'post',
		// 				'value' => 'event-one'
		// 				//'value' => 'post.php?post=30&action=edit'
		// 			),
		// 			array(
		// 				'text' => 'Event Two',
		// 				'type' => 'post',
		// 				'value' =>  'event-two'
		// 			)
		// 		)
		// 	)
		// );
		// update_option("ewdqs_optional", $optional_steps);


		// Catch Foodmania
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Enable Homepage Slider',
		// 		'instructions' => 'Enable the slider that shows at the top of your homepage, and choose which pages to use for the slider.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Turn Slider On',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=catch_foodmania_featured_slider'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Testimonials',
		// 		'instructions' => 'These two testimonial posts are displayed on your homepage. Edit them with actual testimonials from your customers.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Testimonial One',
		// 				'type' => 'ect_testimonial',
		// 				'value' => 'giovanna-arturi'
		// 				//'value' => 'post.php?post=30&action=edit'
		// 			),
		// 			array(
		// 				'text' => 'Testimonial Two',
		// 				'type' => 'ect_testimonial',
		// 				'value' => 'james-blake'
		// 			)
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);


		// Recipe Lite
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Enable Homepage Slider',
		// 		'instructions' => 'Enable the slider that shows at the top of your homepage, and choose which pages to use for the slider.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Turn Slider On',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=slider_section'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Homepage Three Boxes Section',
		// 		'instructions' => 'Edit the pages that are used for the three boxes under the slider on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Box 1',
		// 				'type' => 'page',
		// 				'value' => 'happy-hour'
		// 			),
		// 			array(
		// 				'text' => 'Box 2',
		// 				'type' => 'page',
		// 				'value' => 'weekly-specials'
		// 			),
		// 			array(
		// 				'text' => 'Box 3',
		// 				'type' => 'page',
		// 				'value' => 'private-events'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Homepage Four Boxes Section',
		// 		'instructions' => 'Edit the pages that are used for the area with four boxes on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Box 1',
		// 				'type' => 'page',
		// 				'value' => 'private-events'
		// 			),
		// 			array(
		// 				'text' => 'Box 2',
		// 				'type' => 'page',
		// 				'value' => 'an-amazing-dining-experience'
		// 			),
		// 			array(
		// 				'text' => 'Box 3',
		// 				'type' => 'page',
		// 				'value' => 'happy-hour'
		// 			),
		// 			array(
		// 				'text' => 'Box 4',
		// 				'type' => 'page',
		// 				'value' => 'great-foot-great-service'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);




		// // Ultimate Showcase
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Edit Homepage Sections',
		// 		'instructions' => 'Enable and disable the different sections that appear on the homepage',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Homepage Sections',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=upcp_theme_setting_homepage_section'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Jump Boxes',
		// 		'instructions' => 'These are the three informational boxes that show on the homepage, above the featured products.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Box One',
		// 				'type' => 'upcp_theme_jumpboxes',
		// 				'value' => 'everything-you-need'
		// 			),
		// 			array(
		// 				'text' => 'Box Two',
		// 				'type' => 'upcp_theme_jumpboxes',
		// 				'value' => 'great-service'
		// 			),
		// 			array(
		// 				'text' => 'Box Three',
		// 				'type' => 'upcp_theme_jumpboxes',
		// 				'value' => 'best-price-guarantee'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Testimonials',
		// 		'instructions' => 'These are the three testimonials that show on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Testimonial One',
		// 				'type' => 'upcp_theme_testi',
		// 				'value' => 'testimonial-one'
		// 			),
		// 			array(
		// 				'text' => 'Testimonial Two',
		// 				'type' => 'upcp_theme_testi',
		// 				'value' => 'testimonial-two'
		// 			),
		// 			array(
		// 				'text' => 'Testimonial Three',
		// 				'type' => 'upcp_theme_testi',
		// 				'value' => 'testimonial-three'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Text on Pic Area',
		// 		'instructions' => 'Change the picture and content of the text on picture area on the homepage',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Text on Pic',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=upcp_theme_setting_textonpic_section'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Callout Area',
		// 		'instructions' => 'Change the content of the callout promotional area that appears near the bottom of the homepage',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Callout',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=upcp_theme_setting_callout_section'
		// 			)
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);


		// // Gutenshop
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Edit Homepage Slides',
		// 		'instructions' => 'Edit the two slides that are shown at the top of the homepage',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Slide One',
		// 				'type' => 'ultimate_slider',
		// 				'value' => 'shop-smart-shop-easy'
		// 			),
		// 			array(
		// 				'text' => 'Slide Two',
		// 				'type' => 'ultimate_slider',
		// 				'value' => 'great-prices-great-service'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Content',
		// 		'instructions' => 'Edit the content of your homepage, including the three informational boxes that show there',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Homepage',
		// 				'type' => 'page',
		// 				'value' => 'home'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);


		// // GTL
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Edit Homepage Slider',
		// 		'instructions' => 'Choose what images and content show on the homepage slider.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Slider',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=gtl_slider'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Content',
		// 		'instructions' => 'Edit the content of your homepage, including the three informational boxes that show there',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Homepage',
		// 				'type' => 'page',
		// 				'value' => 'home'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);


		// Keep Calm
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Edit Homepage Sections',
		// 		'instructions' => 'Enable and disable the different sections that appear on the homepage',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Homepage Sections',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=ewd_kcae_prem_setting_homepage_sections'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Slides',
		// 		'instructions' => 'Edit the two slides that are shown at the top of the homepage',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Slide One',
		// 				'type' => 'ultimate_slider',
		// 				'value' => 'shop-smart-shop-easy'
		// 			),
		// 			array(
		// 				'text' => 'Slide Two',
		// 				'type' => 'ultimate_slider',
		// 				'value' => 'great-prices-great-service'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Create First Products',
		// 		'instructions' => 'Create your first product(s) in WooCommerce. This will automatically populate your shop page as well as the featured products area on the homepage. If you do not complete this step at this time, those areas will be empty.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Create Products',
		// 				'type' => 'url',
		// 				'value' => 'edit.php?post_type=product'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Choose Featured Products',
		// 		'instructions' => 'Choose which products show in the featured products section on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Choose Products',
		// 				'type' => 'url',
		// 				'value' => 'admin.php?page=EWD-UPCP-Theme-options&DisplayPage=Homepage'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Set Contact Info &amp; Social Media Links',
		// 		'instructions' => 'Add your phone number and email address, as well as links to your social media, to the utility nav (top bar) of your site.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Contact &amp; Social',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=ewd_kcae_prem_setting_utility_nav_section'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Jump Boxes',
		// 		'instructions' => 'These are the three informational boxes that show on the homepage, above the featured products.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Box One',
		// 				'type' => 'upcp_theme_jumpboxes',
		// 				'value' => 'everything-you-need'
		// 			),
		// 			array(
		// 				'text' => 'Box Two',
		// 				'type' => 'upcp_theme_jumpboxes',
		// 				'value' => 'great-service'
		// 			),
		// 			array(
		// 				'text' => 'Box Three',
		// 				'type' => 'upcp_theme_jumpboxes',
		// 				'value' => 'best-prices'
		// 			),
		// 			array(
		// 				'text' => 'Box Four',
		// 				'type' => 'upcp_theme_jumpboxes',
		// 				'value' => 'satisfaction-guaranteed'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Testimonials',
		// 		'instructions' => 'These are the three testimonials that show on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Testimonial One',
		// 				'type' => 'upcp_theme_testi',
		// 				'value' => 'testimonial-one'
		// 			),
		// 			array(
		// 				'text' => 'Testimonial Two',
		// 				'type' => 'upcp_theme_testi',
		// 				'value' => 'testimonial-two'
		// 			),
		// 			array(
		// 				'text' => 'Testimonial Three',
		// 				'type' => 'upcp_theme_testi',
		// 				'value' => 'testimonial-three'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Text on Pic Area',
		// 		'instructions' => 'Change the picture and content of the text on picture area on the homepage',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Text on Pic',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=ewd_kcae_setting_textonpic_section'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Callout Area',
		// 		'instructions' => 'Change the content of the callout promotional area that appears near the bottom of the homepage',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Callout',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=ewd_kcae_setting_callout_section'
		// 			)
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);


		// Gutenshop
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Edit Homepage Slides',
		// 		'instructions' => 'Edit the two slides that are shown at the top of the homepage',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Slide One',
		// 				'type' => 'ultimate_slider',
		// 				'value' => 'shop-smart-shop-easy'
		// 			),
		// 			array(
		// 				'text' => 'Slide Two',
		// 				'type' => 'ultimate_slider',
		// 				'value' => 'great-prices-great-service'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Content',
		// 		'instructions' => 'Edit the content of your homepage, including the three informational boxes that show there',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Homepage',
		// 				'type' => 'page',
		// 				'value' => 'home'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Create First Products',
		// 		'instructions' => 'Create your first product(s) in WooCommerce. This will automatically populate your shop page as well as the featured products area on the homepage. If you do not complete this step at this time, those areas will be empty.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Create Products',
		// 				'type' => 'url',
		// 				'value' => 'edit.php?post_type=product'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);


		// Ecommerce Hub
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Edit Homepage Slider',
		// 		'instructions' => 'Choose what images and content show on the homepage slider.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Slider',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=ecommerce_hub_slider_section'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Set Contact Information',
		// 		'instructions' => 'Add your phone number and email address alongside your site menu',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Contact Info',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=ecommerce_hub_topbar_icon'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Content',
		// 		'instructions' => 'Edit the content of your homepage, including the three informational boxes that show there',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Homepage',
		// 				'type' => 'page',
		// 				'value' => 'home'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Create First Products',
		// 		'instructions' => 'Create your first product(s) in WooCommerce. This will automatically populate your shop page as well as the featured products area on the homepage. If you do not complete this step at this time, those areas will be empty.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Create Products',
		// 				'type' => 'url',
		// 				'value' => 'edit.php?post_type=product'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);




		// // Vega
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Edit Homepage Sections',
		// 		'instructions' => 'Enable and disable the different sections that appear on the homepage',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Homepage Sections',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=vega_wp_frontpage_section'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Banner',
		// 		'instructions' => 'Edit the big banner shown at the top of the homepage, including the image and the text.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Banner',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=vega_wp_frontpage_banner_section'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit First Homepage CTA Section',
		// 		'instructions' => 'Change what content and image is used for the first call to action section that appears on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'CTA 1 Page &amp; Image',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=vega_wp_frontpage_cta_dark_section'
		// 			),
		// 			array(
		// 				'text' => 'CTA 1 Content',
		// 				'type' => 'page',
		// 				'value' => 'full-service-agency'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Second Homepage CTA Section',
		// 		'instructions' => 'Change what content and image is used for the second call to action section that appears on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'CTA 2 Page &amp; Image',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=vega_wp_frontpage_cta_dark2_section'
		// 			),
		// 			array(
		// 				'text' => 'CTA 2 Content',
		// 				'type' => 'page',
		// 				'value' => 'quick-turn-around'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit the Homepage Icon Columns',
		// 		'instructions' => 'Change the content and icon for the icon columns section that appears on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Column Icons &amp; Pages',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=vega_wp_frontpage_4_cols_section'
		// 			),
		// 			array(
		// 				'text' => 'Column 1 Content',
		// 				'type' => 'page',
		// 				'value' => 'translation-made-easy'
		// 			),
		// 			array(
		// 				'text' => 'Column 2 Content',
		// 				'type' => 'page',
		// 				'value' => 'full-service-agency'
		// 			),
		// 			array(
		// 				'text' => 'Column 3 Content',
		// 				'type' => 'page',
		// 				'value' => 'very-accessible'
		// 			),
		// 			array(
		// 				'text' => 'Column 4 Content',
		// 				'type' => 'page',
		// 				'value' => 'quick-turn-around'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Latest Posts Area',
		// 		'instructions' => 'Change the number of posts as well as the heading for the Latest Posts area that shows on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Latest Posts',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=vega_wp_frontpage_latest_posts_section'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);


		// Atlast Agency
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Slider',
		// 		'instructions' => 'Set the content and images used for the slider at the top of the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Slider Parent Page',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=atlast-agency_slider_section'
		// 			),
		// 			array(
		// 				'text' => 'Slide 1 Content',
		// 				'type' => 'page',
		// 				'value' => 'slider-parent/amazing-collaborations'
		// 			),
		// 			array(
		// 				'text' => 'Slide 2 Content',
		// 				'type' => 'page',
		// 				'value' => 'slider-parent/our-latest-project'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage About Section',
		// 		'instructions' => 'Set the content and style used for the about section on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Choose Page &amp; Style',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=atlast-agency_home_about_section'
		// 			),
		// 			array(
		// 				'text' => 'Edit Content',
		// 				'type' => 'page',
		// 				'value' => 'about-us'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Portfolio Section',
		// 		'instructions' => 'Set the content and style used for the portfolio section on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Choose Pages &amp; Style',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=atlast-agency_home_portfolio_section'
		// 			),
		// 			array(
		// 				'text' => 'Edit Portfolio Item 1',
		// 				'type' => 'page',
		// 				'value' => 'portfolio/big-translation-job'
		// 			),
		// 			array(
		// 				'text' => 'Edit Portfolio Item 2',
		// 				'type' => 'page',
		// 				'value' => 'portfolio/medium-translation-job'
		// 			),
		// 			array(
		// 				'text' => 'Edit Portfolio Item 3',
		// 				'type' => 'page',
		// 				'value' => 'portfolio/small-translation-job'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Homepage Blog Section',
		// 		'instructions' => 'Enable or disable the blog section on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Blog Section',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=atlast-agency_home_blog_section'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);


		// Leanex Lite
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Sections',
		// 		'instructions' => 'Enable and disable the different sections that appear on the homepage',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Homepage Sections',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=homesorter'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Content',
		// 		'instructions' => 'Edit the homepage content, including the featured image, which is used for the banner.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Content',
		// 				'type' => 'page',
		// 				'value' => 'home'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Banner',
		// 		'instructions' => 'Edit the content and size of the big banner shown at the top of the homepage. You can set the image used in the option just above this one.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Banner',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=home-headline'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Main Title&#47;Heading',
		// 		'instructions' => 'Edit the heading and sub-heading that show just under the banner on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Title',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=page-content-section'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Portflio Section',
		// 		'instructions' => 'Choose the title, sub-title and layout mode for the portfolio on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Portfolio Area',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=widgets-section'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Homepage Recent Articles Section',
		// 		'instructions' => 'Edit the title and sub-title of the recent articles section on the homepage and choose how many posts to display and from which category.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Recent Articles',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=recent-posts-section'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);




		// // // Kale
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Slider',
		// 		'instructions' => 'Set the post category that is used for the slider at the top of the homepage as well as the number of slides to show.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Slider',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=kale_section_frontpage_banner'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Set Homepage Featured Posts',
		// 		'instructions' => 'Choose which posts are used for the featured section on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Featured Posts',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=kale_section_frontpage_featured_posts'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Set Homepage Highlight Post',
		// 		'instructions' => 'Choose which post is used for the highlighted post section on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Highlight Post',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=kale_section_frontpage_large_post'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Default Posts',
		// 		'instructions' => 'Edit the content of the default included posts that are used to fill in the slider, featured post and highlighted post sections',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Post 1',
		// 				'type' => 'post',
		// 				'value' => 'tech-at-its-best'
		// 			),
		// 			array(
		// 				'text' => 'Edit Post 2',
		// 				'type' => 'post',
		// 				'value' => 'what-an-adventure'
		// 			),
		// 			array(
		// 				'text' => 'Edit Post 3',
		// 				'type' => 'post',
		// 				'value' => 'a-great-new-thing'
		// 			),
		// 			array(
		// 				'text' => 'Edit Post 4',
		// 				'type' => 'post',
		// 				'value' => 'outside-the-box-thinking'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);


		// // // Blog Lover
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Slider',
		// 		'instructions' => 'Set which posts are used for the slider at the top of the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Slider',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=blog_lover_slider'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Set Latest News Posts',
		// 		'instructions' => 'Choose which posts are used for the latest news section just under the slider on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Latest Posts',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=blog_lover_latest'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Set Featured Posts',
		// 		'instructions' => 'Choose which posts are used for the featured posts section on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Featured Posts',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=blog_lover_featured'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Default Posts',
		// 		'instructions' => 'Edit the content of the default included posts that are used to fill in the slider, latest posts and featured posts sections.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Post 1',
		// 				'type' => 'post',
		// 				'value' => 'tech-at-its-best'
		// 			),
		// 			array(
		// 				'text' => 'Edit Post 2',
		// 				'type' => 'post',
		// 				'value' => 'what-an-adventure'
		// 			),
		// 			array(
		// 				'text' => 'Edit Post 3',
		// 				'type' => 'post',
		// 				'value' => 'a-great-new-thing'
		// 			),
		// 			array(
		// 				'text' => 'Edit Post 4',
		// 				'type' => 'post',
		// 				'value' => 'outside-the-box-thinking'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);


		// // Pulito
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Intro',
		// 		'instructions' => 'Edit the content of the intro area at the top of the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Intro',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=wpostheme_general_blogintro_section'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Footer Content',
		// 		'instructions' => 'Change the content of the footer (e.g. copyright text).',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Footer',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=wpostheme_general_footer_section'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);



		// Vega
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Edit Homepage Sections',
		// 		'instructions' => 'Enable and disable the different sections that appear on the homepage',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Homepage Sections',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=vega_wp_frontpage_section'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Banner',
		// 		'instructions' => 'Edit the big banner shown at the top of the homepage, including the image and the text.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Banner',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=vega_wp_frontpage_banner_section'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit First Homepage CTA Section',
		// 		'instructions' => 'Change what content and image is used for the first call to action section that appears on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'CTA 1 Page &amp; Image',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=vega_wp_frontpage_cta_dark_section'
		// 			),
		// 			array(
		// 				'text' => 'CTA 1 Content',
		// 				'type' => 'page',
		// 				'value' => 'first-call-to-action'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Second Homepage CTA Section',
		// 		'instructions' => 'Change what content and image is used for the second call to action section that appears on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'CTA 2 Page &amp; Image',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=vega_wp_frontpage_cta_dark2_section'
		// 			),
		// 			array(
		// 				'text' => 'CTA 2 Content',
		// 				'type' => 'page',
		// 				'value' => 'second-call-to-action'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit the Homepage Icon Columns',
		// 		'instructions' => 'Change the content and icon for the icon columns section that appears on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Column Icons &amp; Pages',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=vega_wp_frontpage_4_cols_section'
		// 			),
		// 			array(
		// 				'text' => 'Column 1 Content',
		// 				'type' => 'page',
		// 				'value' => 'about-us'
		// 			),
		// 			array(
		// 				'text' => 'Column 2 Content',
		// 				'type' => 'page',
		// 				'value' => 'events'
		// 			),
		// 			array(
		// 				'text' => 'Column 3 Content',
		// 				'type' => 'page',
		// 				'value' => 'programs'
		// 			),
		// 			array(
		// 				'text' => 'Column 4 Content',
		// 				'type' => 'page',
		// 				'value' => 'news'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Edit Homepage Latest Posts Area',
		// 		'instructions' => 'Change the number of posts as well as the heading for the Latest Posts area that shows on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Latest Posts',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=vega_wp_frontpage_latest_posts_section'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);



		// // Benevolent
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Homepage Slider',
		// 		'instructions' => 'Enable or disable the slider shown at the top of the homepage and change its settings.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Slider',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=benevolent_slider_settings'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Homepage Slider Content',
		// 		'instructions' => 'Change the content of the homepage slides.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Slide 1',
		// 				'type' => 'post',
		// 				'value' => 'do-some-good-today'
		// 			),
		// 			array(
		// 				'text' => 'Slide 2',
		// 				'type' => 'post',
		// 				'value' => 'check-out-some-of-our-work'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Homepage Intro Section',
		// 		'instructions' => 'Modify the content for the intro section that shows on the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Intro Section',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=benevolent_intro_settings'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Homepage Stat Counter Section',
		// 		'instructions' => 'Enable or disable the stat counter section that shows on the homepage and modify its content',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Stat Section',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=benevolent_stats_settings'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Homepage Blog Section',
		// 		'instructions' => 'Enable or disable the blog section that shows on the homepage and change its heading.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Blog Section',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=benevolent_blog_settings'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Homepage Promotional Section',
		// 		'instructions' => 'Enable or disable the promotional section that shows on the homepage and change its content.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Promotional Section',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=benevolent_promotional_settings'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Donate Button',
		// 		'instructions' => 'Enable or disable the donate button and change its text',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Donate Button',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=benevolent_donate_button'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Social Icons',
		// 		'instructions' => 'Enable or disable the social icons and set the link URLs',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Social Icons',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=benevolent_social_settings'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Footer Copyright Info',
		// 		'instructions' => 'Modify the footer copyright text.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Copyright Info',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=benevolent_footer_section'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);


		// Charity Help Lite
		// $optional_steps = array(
		// 	array(
		// 		'name' => 'Homepage Slider',
		// 		'instructions' => 'Choose the pages for the slider shown at the top of the homepage.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Slider',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=slider_options'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Homepage Slider Content',
		// 		'instructions' => 'Change the content of the homepage slides.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Slide 1',
		// 				'type' => 'page',
		// 				'value' => 'amazing-collaborations'
		// 			),
		// 			array(
		// 				'text' => 'Slide 2',
		// 				'type' => 'page',
		// 				'value' => 'great-projects'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Add a Logo',
		// 		'instructions' => 'Add your logo to the header of your site, so that visitors know that they are on the right website instantly.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Set Logo',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=title_tagline'
		// 			)
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Header Contact Info',
		// 		'instructions' => 'Modify the contact info, including the address, email address and donate button.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Contact Info',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=hdr_contactinfo_sec'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Social Icons',
		// 		'instructions' => 'Enable or disable the social icons and set the link URLs.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Edit Social Icons',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=social_sec'
		// 			),
		// 		)
		// 	),
		// 	array(
		// 		'name' => 'Homepage Three Box Section',
		// 		'instructions' => 'Enable or disable the three box section that shows on the homepage and change the content.',
		// 		'links' => array(
		// 			array(
		// 				'text' => 'Enable &amp; Choose Pages',
		// 				'type' => 'url',
		// 				'value' => 'customize.php?autofocus[section]=pageboxs_section'
		// 			),
		// 			array(
		// 				'text' => '1st Box Content',
		// 				'type' => 'page',
		// 				'value' => 'about-us'
		// 			),
		// 			array(
		// 				'text' => '2nd Box Content',
		// 				'type' => 'page',
		// 				'value' => 'programs'
		// 			),
		// 			array(
		// 				'text' => '3rd Box Content',
		// 				'type' => 'page',
		// 				'value' => 'events'
		// 			),
		// 		)
		// 	),
		// );
		// update_option("ewdqs_optional", $optional_steps);



		echo '<div class="ewdqs-optional-steps-header">' . __('Site Setup: Optional Final Steps', 'ewd-quick-starter') . '</div>';
		echo '<div class="ewdqs-clear"></div>';
		echo '<div class="ewdqs-theme-selection">';
				
			echo '<ol>';
			foreach ($optional_steps as $optional_step) {
				echo '<li class="ewdqs-optional-step">';
				echo '<div class="ewdqs-step-name">' . $optional_step['name'] . '</div>';
				echo '<div class="ewdqs-step-instructions">' . $optional_step['instructions'] . '</div>';
				echo '<div class="ewdqs-step-link">';
					foreach ($optional_step['links'] as $link) {echo '<a href="' . $this->generate_url($link) . '" target="_blank">' . $link['text'] . '</a><div class="ewdqs-clear"></div>';}		
				echo '</div>';
				echo '</li>';
			}
			echo '</ol>';
			echo '<div class="ewdqs-clear"></div>';

		echo '</div>';

		//add_action( 'shutdown', array($this, 'optional_steps_displayed'), 9999 );
	}

	function generate_url($link) {
		if ($link['type'] == 'url') {return admin_url( $link['value'] );}
		elseif ($link['type'] == 'post') {
			$post = get_page_by_path($link['value'], OBJECT, array('post', 'page') );
			return 'post.php?action=edit&post=' . $post->ID;
		}
		else {
			$post = get_page_by_path($link['value'], OBJECT, $link['type'] );
			return 'post.php?action=edit&post=' . $post->ID;
		}
	}

	function optional_steps_displayed() {
		update_option("ewdqs_optional_steps_displayed", true);
	}

	function handle_ajax() {
		$this->optional_steps_displayed();

		die();
	}

}

function EWDQS_Show_Optional_Steps_name() {
	return __("Optional Finishing Touches", 'ewd-quick-starter');
}

function EWDQS_Show_Optional_Steps_instructions() {
	return "Add in your your logo, add in extra images, take other steps to customize your content even further.";
}
?>